Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## dioscuri.module.ata
Enum AscType

    java.lang.Object
      java.lang.Enum<AscType>
          dioscuri.module.ata.AscType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AscType>

    public enum AscType

extends java.lang.Enum<AscType>

Enumeration class for Asc Type.

Enum Constant Summary
`ILLEGAL_OPCODE`
`INV_FIELD_IN_CMD_PACKET`
`LOGICAL_BLOCK_OOR`
`MEDIUM_NOT_PRESENT`
`NOT_SET`
`SAVING_PARAMETERS_NOT_SUPPORTED`

Method Summary
`int` | `getValue()` get the value associated with the enum entry
`static AscType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AscType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_SET

    public static final AscType NOT_SET

### ILLEGAL_OPCODE

    public static final AscType ILLEGAL_OPCODE

### LOGICAL_BLOCK_OOR

    public static final AscType LOGICAL_BLOCK_OOR

### INV_FIELD_IN_CMD_PACKET

    public static final AscType INV_FIELD_IN_CMD_PACKET

### SAVING_PARAMETERS_NOT_SUPPORTED

    public static final AscType SAVING_PARAMETERS_NOT_SUPPORTED

### MEDIUM_NOT_PRESENT

    public static final AscType MEDIUM_NOT_PRESENT

Method Detail

### values

    public static AscType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AscType c : AscType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AscType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  get the value associated with the enum entry

  Returns:
    the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD